<?php
	@session_start();
	//header('Content-Type : text/html; charset=ISO-8859-1');
	//header('Content-Type : text/html; charset=UTF-8');
	include_once( "f_admin.php" );
	include_once( "f_wfl.php" );
	include_once( "kd_einsprungspunkte.php" );
	/////////////////////////////
	
	$mandant_name			= $_SESSION[ "mandant_name" ];
	$benutzer_anmeldename	= $_SESSION[ "benutzer_anmeldename" ];
	
	if ( strlen( $benutzer_anmeldename ) > 0 )
	{
		
		$time = time();
		
		$vergangene_zeit = bcsub( $time, $_SESSION[ "eingeloggt_ts" ], 0 );
		
		
		$ts = berechne_zeitspanne( $vergangene_zeit );
		
		
		
		if ( ( $benutzer_anmeldename == "superuser" ) and ( $mandant_name == "Standard" ) )
		{
			$name = "Superuser/Mandanten- und Systemverwaltung";
		}
		else
		{
			$benutzer = liefere_benutzerinformationen( $mandant_name, $benutzer_anmeldename );
			$name = $benutzer[ 2 ][ "benutzer_vorname" ]." ".$benutzer[ 2 ][ "benutzer_nachname" ];
		}
		
		// <form name="sap" action="redir.php" style="display:inline;" method="post" ><input type="text" name="ziel" ><input type="submit" value="=>" ></form>
		
		
		$besitzt_irgendwelche_adminrechte = welche_systemrecht_gruppen_besitzt_benutzer( $mandant_name, $benutzer_anmeldename );
		
		$besitzt_admin_rechte = "";
		
		foreach( $besitzt_irgendwelche_adminrechte[ 2 ] as $recht )
		{
			if ( $recht == "1" )
			{
				$besitzt_admin_rechte = '<a class="menu" href="ad_uebersicht.php">Administratorbereich</a>&nbsp;&nbsp;<span style="color:silver;">|</span>&nbsp;&nbsp;';
				break;
			}
		}
		
		//<input type="button" style="height:20px;font-size:x-small;" value="Go!" onclick="alert(\'hallo\');"><span style="color:silver;">
		
		$ergebnis = besitzt_benutzer_systemrecht( $mandant_name, $benutzer_anmeldename, "TRANSAKT" );
		
		if ( $ergebnis[ 0 ] == 1 )
		{
			$s = "<script type='text/javascript'>function ref() { var k=document.getElementById( 'id_trans'); window.open( 'su_web.php?cmd=transref&element_id=".urlencode( $_SESSION[ "title" ] )."&id='+k.value, '_self', '' ); }  
			
			
			
			</script>";
		
			$k = $s.'<input type="text" value="" style="height:14px;width:60px; font-size:0.8em;" id="id_trans" onblur="ref();"  onkeydown="if(event.keyCode == 13){ ref(); }" ><span style="color:silver;">&nbsp;&nbsp;|</span>&nbsp;&nbsp;';
		}
		else
		{
			$k = "";
		}
		
		$eingeloggt_1 = $k.$besitzt_admin_rechte.'<a class="menu" href="us_uebersicht.php">&Uuml;bersicht</a>&nbsp;&nbsp;<span style="color:silver;">|</span>&nbsp;&nbsp;<input type="button" style="vertical-align: middle;height:24px; text-align:center;" value="neu" onclick="window.open(\'us_uebersicht.php\');" />&nbsp;&nbsp;<span style="color:silver;">|</span>&nbsp;&nbsp;<a class="menu" href="us_einstellungen.php" style="" >Einstellungen '.$name.'</a>&nbsp;&nbsp;<span style="color:silver;">|</span>&nbsp;&nbsp;<a class="logout" href="logout.php">Logout</a>&nbsp;&nbsp;<span style="color:silver;">|</span>&nbsp;&nbsp;';
		
		
		$eingeloggt_2 = "<span id='span_menu_1' >Mandant: </span><span id='span_menu_2'>".$mandant_name."</span>&nbsp;&nbsp;<span id='span_menu_3'>|</span>&nbsp;&nbsp;<span id='span_menu_4'>Benutzer: </span><span id='span_menu_5'>".$name."</span><span id='span_menu_6'>, eingeloggt seit ".$ts."</span>";
		
		
		$eingeloggt_3 = "&nbsp;&nbsp;<span style='color:silver;'>|</span>&nbsp;&nbsp;";
		
	}
	else
	{
		$eingeloggt_1 = "";
		$eingeloggt_2 = "";
	}
	
	if ( $_SESSION[ "css" ] == "index.php" )
	{
		$css_datei = liefere_konfig( "Standard", "login_css" );
	}
	else
	{
		$css_datei = liefere_konfig( $mandant_name, "login_css" );
	}
	
	header( "Content-Type: text/html; charset=utf-8" );
	
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

	
	<html>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=utf-8" > 
			<link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon" >
			
			<!-- #################### JAVASCRIPT standard #################### -->
			
			<script language="javascript" type="text/javascript" src="js/jquery-3.6.4.min.js" ></script>
			<script language="javascript" type="text/javascript" src="js/jquery-ui.min.js" ></script>
			<script language="javascript" type="text/javascript" src="js/su.js" ></script>
			<script language="javascript" type="text/javascript" src="js/jquery-ui-i18n.min.js"></script>
			<script language="javascript" type="text/javascript" src="js/chosen.jquery.min.js"></script>
			<script language="javascript" type="text/javascript" src="js/jstree.min.js"></script>
			<script language="javascript" type="text/javascript" src="js/jquery.dataTables.min.js"></script>
			<script language="javascript" type="text/javascript" src="js/jquery.fancybox.pack.js"></script>
			
			
	';
	//jquery-ui-i18n.min.js => deutsche Locations für datepicker
			
	
	echo "<!-- #################### JAVASCRIPT startup (alle) #################### -->
			<script type='text/javascript'>
			
			</script>
			
			";
	
	if ( strlen( $_SESSION[ "javascript_startup" ] ) > 0 )
	{
		echo '<!-- #################### JAVASCRIPT startup (speziell) #################### -->
			<script type="text/javascript">
			'.$_SESSION[ "javascript_startup" ].'
			
			
			
			</script>
			
			';
	}
	
	
			
			
			
			if ( strlen( $_SESSION[ "javascript_dateien" ] ) > 0 )
			{
				$dateien = explode( "|", $_SESSION[ "javascript_dateien" ] );
				echo '<!-- #################### JAVASCRIPT dateien #################### -->';
				foreach ( $dateien as $datei )
				{
					echo '
							<script language="javascript" type="text/javascript" src="js/'.$datei.'" ></script>
						';
				}
			}
			
			echo '
			
			
			<!-- #################### CSS #################### -->';
			
			
			echo '
					<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/jquery-ui.min.css" >
					<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/'.$css_datei.'" >
					<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/chosen.css" >
					<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/style.jstree.css" >
					<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/jquery.fancybox.css" >
					<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/jquery.dataTables_themeroller.css" >
					<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/jquery.dataTables.min.css" >
					
					
					
				';
			//<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/styles.css" ></link>
			
			
			if ( strlen( $_SESSION[ "css_dateien" ] ) > 0 )
			{
				$dateien = explode( "|", $_SESSION[ "css_dateien" ] );
				foreach ( $dateien as $datei )
				{
					echo '
							<link rel="stylesheet" type="text/css" href="stil/'.$css_datei.'/'.$datei.'" >
						';
				}
			}
			
			echo '
			
			<!-- #################### Titel #################### -->
			<title>calbers.de Webapplikationen - '.$_SESSION[ "title" ].'</title>
			
		</head>
		<body '.$_SESSION[ "body" ].'>';
	
	echo "<a name='header' ></a>";
	
	
	echo '<div id="menu_top">
	<table border="0" ><tr><td><img src="img/calbers.de.gif"  style="border-radius: 8px; width: 150px;" alt="Logo" style="display:inline;" /></td><td><img src="img/calbers.de.gif" alt="Logo" style="border-radius: 8px; width: 150px; display:inline;" /></td></tr></table></div>
	<h1 id="title">'.$_SESSION[ "title" ].'</h1>';
	
	
	echo '<div id="menu_1">';
	echo $eingeloggt_1;
	echo "<a class='menu' href='http://www.calbers.de'>calbers.de</a>
	</div>
	<div id='content' >
	";
?>